org.eclnt.jsfserver.defaultscreens

## Class LogViewer

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.LogViewer

-     public class LogViewer
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `LogViewer.AllGridItem`
    `class` | `LogViewer.FileGridItem`
    `class` | `LogViewer.GridItem`
    `class` | `LogViewer.LogLine`
    `class` | `LogViewer.MyBufferedContent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `m_actualLogFile`
    `protected FIXGRIDListBinding<LogViewer.AllGridItem>` | `m_all`
    `protected java.lang.String` | `m_baseLogFile`
    `protected FIXGRIDListBinding<LogViewer.FileGridItem>` | `m_fileGrid`
    `protected int` | `m_filterLevel`
    `protected boolean` | `m_flagShowTimestampThread`
    `protected FIXGRIDListBinding<LogViewer.GridItem>` | `m_grid`
    `protected int` | `m_numberOfBytesToRead`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogViewer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActualLogFile()`
    `FIXGRIDListBinding<LogViewer.AllGridItem>` | `getAll()`
    `java.lang.String` | `getBaseLogFile()`
    `Trigger` | `getDownloadTrigger()`
    `java.lang.String` | `getDownloadURL()`
    `FIXGRIDListBinding<LogViewer.FileGridItem>` | `getFileGrid()`
    `boolean` | `getFlagShowTimestampThread()`
    `FIXGRIDListBinding<LogViewer.GridItem>` | `getGrid()`
    `void` | `onApplyFilter(ActionEvent event)`
    `void` | `onShowLogFile(ActionEvent event)`
    `void` | `setFlagShowTimestampThread(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_actualLogFile

          protected java.lang.String m_actualLogFile

    - #### m_baseLogFile

          protected java.lang.String m_baseLogFile

    - #### m_grid

          protected FIXGRIDListBinding<LogViewer.GridItem> m_grid

    - #### m_all

          protected FIXGRIDListBinding<LogViewer.AllGridItem> m_all

    - #### m_fileGrid

          protected FIXGRIDListBinding<LogViewer.FileGridItem> m_fileGrid

    - #### m_filterLevel

          protected int m_filterLevel

    - #### m_numberOfBytesToRead

          protected int m_numberOfBytesToRead

    - #### m_flagShowTimestampThread

          protected boolean m_flagShowTimestampThread

  - ### Constructor Detail

    - #### LogViewer

          public LogViewer()

  - ### Method Detail

    - #### getBaseLogFile

          public java.lang.String getBaseLogFile()

    - #### getActualLogFile

          public java.lang.String getActualLogFile()

    - #### getGrid

          public FIXGRIDListBinding<LogViewer.GridItem> getGrid()

    - #### getAll

          public FIXGRIDListBinding<LogViewer.AllGridItem> getAll()

    - #### getFileGrid

          public FIXGRIDListBinding<LogViewer.FileGridItem> getFileGrid()

    - #### getFlagShowTimestampThread

          public boolean getFlagShowTimestampThread()

    - #### setFlagShowTimestampThread

          public void setFlagShowTimestampThread(boolean value)

    - #### getDownloadURL

          public java.lang.String getDownloadURL()

    - #### getDownloadTrigger

          public Trigger getDownloadTrigger()

    - #### onShowLogFile

          public void onShowLogFile(ActionEvent event)

    - #### onApplyFilter

          public void onApplyFilter(ActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.